org.apache.commons.compress.compressors.deflate

## Class DeflateParameters

- java.lang.Object
- - org.apache.commons.compress.compressors.deflate.DeflateParameters

-     public class DeflateParameters
      extends Object

  Parameters for the Deflate compressor.
  Since:
    1.9

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCompressionLevel()` The compression level.
    `void` | `setCompressionLevel(int compressionLevel)` Sets the compression level.
    `void` | `setWithZlibHeader(boolean zlibHeader)` Sets the zlib header presence parameter.
    `boolean` | `withZlibHeader()` Whether or not the zlib header shall be written (when compressing) or expected (when decompressing).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateParameters

          public DeflateParameters()

  - ### Method Detail

    - #### getCompressionLevel

          public int getCompressionLevel()

      The compression level.
      Returns:
        the compression level
      See Also:
        `setCompressionLevel(int)`

    - #### setCompressionLevel

          public void setCompressionLevel(int compressionLevel)

      Sets the compression level.
      Parameters:
        `compressionLevel` - the compression level (between 0 and 9)
      See Also:
        `Deflater.NO_COMPRESSION`, `Deflater.BEST_SPEED`, `Deflater.DEFAULT_COMPRESSION`, `Deflater.BEST_COMPRESSION`

    - #### setWithZlibHeader

          public void setWithZlibHeader(boolean zlibHeader)

      Sets the zlib header presence parameter.

      This affects whether or not the zlib header will be written (when compressing) or expected (when decompressing).

      Parameters:
        `zlibHeader` - true if zlib header shall be written

    - #### withZlibHeader

          public boolean withZlibHeader()

      Whether or not the zlib header shall be written (when compressing) or expected (when decompressing).
      Returns:
        true if zlib header shall be written

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.